Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		mediastreamer
#Epoch:		0
Version:	2.6.0
Release:	1
License:	GNU/GPL
URL:		http://www.linphone.org/index.php/eng/code_review/mediastreamer2
Group:		System/Libraries
Summary:	multimedia streaming engine
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires:	doxygen
BuildRequires:  libv4l-devel
BuildRequires:  gsm-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libsamplerate-devel
BuildRequires:	ortp

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: ffmpeg-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libogg-devel
BuildRequires: libstdc++-devel
BuildRequires: libtheora-devel
BuildRequires: libv4l-devel
BuildRequires: libX11-devel
BuildRequires: openssl-devel
BuildRequires: ortp-devel >= 0.16.3
BuildRequires: srtp-devel
BuildRequires: pkg-config
BuildRequires: SDL-devel
BuildRequires: speex-devel

%description
Mediastreamer2 is a powerful and lightweighted streaming engine specialized for voice/video telephony applications.

It is the library that is responsible for all the receiving and sending of multimedia streams in linphone, including voice/video capture, encoding and decoding, and rendering.


%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libmediastreamer.so.*
%{_datadir}/images/nowebcamCIF.jpg
%{_libexecdir}/mediastream

%files devel
%defattr(-,root,root)
%{_includedir}/mediastreamer2/
%{_datadir}/doc/mediastreamer/
%{_libdir}/libmediastreamer.so
%{_libdir}/libmediastreamer.a
%{_libdir}/libmediastreamer.la
%{_pkgconfig}/mediastreamer.pc


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-1
- Version update
* Fri Mar 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version update
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.4-1
- initial CCux package release
